/* Log manager library module header file.
   Rick Smereka, Copyright (C) 2004.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original Linux version Mar/2004, Rick Smereka

   Ported to QNX, 32bit Windows and DOS. Jun/2005, Rick Smereka */

#ifdef __cplusplus
extern "C"
{
#endif

int logman_start(char *, char *);
void logman_end(void);
void logman(char *,...);
void logman_nf(char *);
int logman_is_active(void);
int logman_get_name(char *);
void logman_console(int);
int logman_get_console(void);

#ifdef __cplusplus
}
#endif
